"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ContactosPagar = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireWildcard(require("react"));
var _reactNativePaper = require("react-native-paper");
var _reactNativeContacts = _interopRequireDefault(require("react-native-contacts"));
var _numerosregistrados = _interopRequireDefault(require("../datos/numerosregistrados.json"));
var _native = require("@react-navigation/native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ContactosPagar = () => {
  const [ContactosUsuario, setContactosUsuario] = (0, _react.useState)();
  const [searchList, setSearchList] = (0, _react.useState)();
  const navigate = (0, _native.useNavigation)();
  (0, _react.useEffect)(() => {
    _reactNativeContacts.default.getAll().then(contacts => {
      console.log(contacts);
      const contactos = contacts.map(item => ({
        displayName: item.displayName,
        phoneNumbers: item.phoneNumbers,
        isNumberRegistered: _numerosregistrados.default.some(dato => {
          var _, _$number;
          return dato.number.replace(/\s+/g, '') == ((_ = item.phoneNumbers[0]) === null || _ === void 0 ? void 0 : (_$number = _.number) === null || _$number === void 0 ? void 0 : _$number.replace(/\s+/g, ''));
        })
      }));
      setContactosUsuario(contactos);
      setSearchList(contactos);
      console.log(ContactosUsuario);
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  const findContact = (0, _react.useCallback)(text => {
    if (text) {
      const newData = ContactosUsuario.filter(item => {
        const itemData = item.displayName ? item.displayName.toUpperCase() : ''.toUpperCase();
        const textData = text.toUpperCase();
        return itemData.indexOf(textData) > -1;
      });
      setSearchList(newData);
    } else {
      setSearchList(ContactosUsuario);
    }
  }, [ContactosUsuario]);
  return /*#__PURE__*/_react.default.createElement(_reactNativePaper.Provider, null, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    style: styles.container1
  }, /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, {
    style: styles.containerFinder
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      color: 'white',
      margin: 10
    }
  }, "Buscar Contactos"), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    style: styles.input,
    onChangeText: findContact
  })), /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    data: searchList === null || searchList === void 0 ? void 0 : searchList.sort((a, b) => Number(b.isNumberRegistered) - Number(a.isNumberRegistered)),
    renderItem: _ref => {
      let {
        item
      } = _ref;
      console.log(item.isNumberRegistered);
      if (item.isNumberRegistered == 1) {
        var _3;
        return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, {
          onPress: () => {
            var _2;
            return navigate.navigate('PayRecibe', {
              name: item.displayName,
              number: (_2 = item.phoneNumbers[0]) === null || _2 === void 0 ? void 0 : _2.number
            });
          }
        }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          style: styles.container
        }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, item.displayName), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, (_3 = item.phoneNumbers[0]) === null || _3 === void 0 ? void 0 : _3.number)));
      } else {
        var _4;
        return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          style: {
            ...styles.container,
            backgroundColor: 'pink'
          }
        }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          style: styles.contacto
        }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, item.displayName), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, (_4 = item.phoneNumbers[0]) === null || _4 === void 0 ? void 0 : _4.number)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          style: styles.containerInvitar
        }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
          onPress: () => _reactNative.Alert.alert('Se envio la invitacion al usuario satisfactoriamente ')
        }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
          style: styles.textoInvitar
        }, "Invitar"))));
      }
    }
  })));
};
exports.ContactosPagar = ContactosPagar;
const styles = _reactNative.StyleSheet.create({
  containerInvitar: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  textoInvitar: {
    fontWeight: 'bold',
    padding: 8,
    paddingLeft: 15,
    paddingRight: 15,
    borderRadius: 20,
    backgroundColor: '#ea899a'
  },
  container1: {
    flex: 1,
    height: '100%'
  },
  contacto: {
    display: 'flex'
  },
  container: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
    backgroundColor: 'white',
    width: '100%',
    padding: 10,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  },
  input: {
    flexBasis: '30%',
    alignContent: 'center',
    height: 40,
    margin: 12,
    borderColor: '#7a42f4',
    borderWidth: 1,
    backgroundColor: 'white'
  },
  containerFinder: {
    flex: 1,
    backgroundColor: '#800080',
    width: '100%',
    height: '100%',
    padding: 10,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  }
});
//# sourceMappingURL=ContactosPagar.js.map